Subject: bug#22845: FYI: release soon

From: Jim Meyering <[email-masked]>
Date: Sun, 28 Feb 2016 21:31:57 -0800

I want to make a release soon.
The preceding release (gzip-1.6) was 2.5 years ago.

Here's a small admin change I've just pushed.
I suspect I'm the only one who noticed, because it
is triggered only via "make distcheck" when also
using automake built from automake.git's master branch.
From 9860eb784749f8588346850e693d7460e5be1601 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 28 Feb 2016 19:48:38 -0800
Subject: [PATCH] maint: dist-check.mk: remove .deps dirs before comparing

"make distcheck" with automake-from-trunk would fail like this:
  ...
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old: .deps
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old/lib: .deps
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old/lib/glthread: .deps
* dist-check.mk (my-distcheck): Remove all .deps directories before
comparing the two hierarchies.
---
 dist-check.mk | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dist-check.mk b/dist-check.mk
index 6287dfe..f23339e 100644
--- a/dist-check.mk
+++ b/dist-check.mk
@@ -188,6 +188,7 @@ my-distcheck: $(DIST_ARCHIVES) $(local-check)
 	)
 	(cd $(t) && mv $(distdir) $(distdir).old	\
 	  && $(amtar_extract_) - ) < $(preferred_tarball_)
+	find $(t)/$(distdir).old $(t)/$(distdir) -name .deps | xargs rmdir
 	diff -ur $(t)/$(distdir).old $(t)/$(distdir)
 	-rm -rf $(t)
 	rmdir $(tmpdir)/$(PACKAGE) $(tmpdir)
-- 
2.6.4